/*boby调节背景图片*/
body {
    background:url("https://img.paulzzh.tech/touhou/konachan/image/8c5eb5877f31cf4b8e4075bc106b14d9.jpg");
    background-position:center left;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment:fixed
}

/*这是首页标签，就是博客园、首页、联系那些    a:hover是鼠标移过去的悬浮显示效果*/
#navList a {
    display: block;
    width: 11em;
    height: 22px;
    float: left;
    text-align: center;
    padding-top: 13px;
    font-size: initial;
    font-style: italic;
}
#navList a:hover {
    color: #fa6e6f;
    text-decoration: none;
}

/*Title是你的id:狂霞霞    a:hover是鼠标移过去的悬浮显示效果*/
#blogTitle h1 {
    font-size: 40px;
    font-weight: bold;
    line-height: -0.5em;
}
#blogTitle h1 a:hover {
    color: #f66;
}

/*opacity里面可以调节透明度，但是如何让图片不透明我还不知道，第二个margin top可以剪断上部分的刘海*/
#home {
    margin: 0 auto;
        margin-top: 0px;
        margin-bottom: 0px;
    width: 80%;
    min-width: 949px;
    background-color: #fff;
    padding: 30px;
    margin-top: 10px;
    margin-bottom: 50px;
    box-shadow: 0 2px 6px rgba(77, 77, 77, 0.3);
    opacity: 0.50;
}

body {
    color: #f66;
    font-family: "Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;
    font-size: 12px;
}

/*这个是文章的点赞系统，据说会影响手机版用户的使用，但是我这个辣鸡目前也每人看*/
#div_digg{
  position:fixed;
  bottom:5px;
  width:140px;
  right:30px;
  border:2px solid #085;
  padding:10px;
  background-color:#fff;
  opacity:0.3;
  border-radius:5px 5px 5px 5px !important;
  box-shadow:0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
  transition-duration: 0.5s;
}

#div_digg:hover{
  opacity:1;
}

<script>
 
!function(){
 
 function n(n,e,t){
 
 return n.getAttribute(e)||t
 
 }
 
 function e(n){
 
 return document.getElementsByTagName(n)
 
 }
 
 function t(){
 
 var t=e("script"),o=t.length,i=t[o-1];
 
 return{
 
 l:o,z:n(i,"zIndex",-1),o:n(i,"opacity",.5),c:n(i,"color","0,0,0"),n:n(i,"count",99)
 
 }
 
 }
 
 function o(){
 
 a=m.width=window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth,
 
 c=m.height=window.innerHeight||document.documentElement.clientHeight||document.body.clientHeight
 
 }
 
 function i(){
 
 r.clearRect(0,0,a,c);
 
 var n,e,t,o,m,l;
 
 s.forEach(function(i,x){
 
 for(i.x+=i.xa,i.y+=i.ya,i.xa*=i.x>a||i.x<0?-1:1,i.ya*=i.y>c||i.y<0?-1:1,r.fillRect(i.x-.5,i.y-.5,1,1),e=x+1;e<u.length;e++)n=u[e],
 
 null!==n.x&&null!==n.y&&(o=i.x-n.x,m=i.y-n.y,
 
 l=o*o+m*m,l<n.max&&(n===y&&l>=n.max/2&&(i.x-=.03*o,i.y-=.03*m),
 
 t=(n.max-l)/n.max,r.beginPath(),r.lineWidth=t/2,r.strokeStyle="rgba("+d.c+","+(t+.2)+")",r.moveTo(i.x,i.y),r.lineTo(n.x,n.y),r.stroke()))
 
 }),

 x(i)
 
 }
 
 var a,c,u,m=document.createElement("canvas"),
 
 d=t(),l="c_n"+d.l,r=m.getContext("2d"),
x=window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||
 
 function(n){

 window.setTimeout(n,1e3/45)
 
 },
 
 w=Math.random,y={x:null,y:null,max:2e4};m.id=l,m.style.cssText="position:fixed;top:0;left:0;z-index:"+d.z+";opacity:"+d.o,e("body")[0].appendChild(m),o(),window.onresize=o,
 
 window.onmousemove=function(n){
 
 n=n||window.event,y.x=n.clientX,y.y=n.clientY
 
 },
 
 window.onmouseout=function(){
 
 y.x=null,y.y=null
 
 };
 
 for(var s=[],f=0;d.n>f;f++){
 
 var h=w()*a,g=w()*c,v=2*w()-1,p=2*w()-1;s.push({x:h,y:g,xa:v,ya:p,max:6e3})
 
 }
 
 u=s.concat([y]),
 
 setTimeout(function(){i()},100)
 
 }();
 
 </script>

#site_nav_under,.c_ad_block{
display:none;
}


